For the complete documentation index, see llms.txt. This page is also available as Markdown.

getCounterpartyInfo

Returns information about one or all connected and invited counterparties.

POST api/getCounterpartyInfo

{
    "counterpartyId": 5 // Optional
}
[
    {
        "clientId": 5,
        "clientType": "taker",
        "username": "Some User",
        "subaccount": true,
        "status": "connected",
        "disabled": false,
        "internal": false
    },
    ...
]
{
  "error": 0
}

Request parameters

Field name
Type
Description

counterpartyId

Efx::ClientId

Optional. The FM ID of the counterparty whose information is to be fetched. If omitted, all known counterparties are returned.

Response description

Field name
Type
Description

clientId

Efx::ClientId

Id of the connected client

clientType

string

Type of the connected client: "maker", "taker" or "master"

username

string

Optional. Username of the counterparty. Visible only if the counterparty sent or accepted a connection request.

subaccount

bool

Optional. True and present only if the counterparty is a subaccount.

status

string

Connection status: "connected" - connection request has been accepted. "invite_sent" - you have sent an invitation to connect, but it has not been accepted yet. "invite_pending" - a counterparty sent you an invitation to connect.

disabled

bool

True if the client is disabled. Trading is not allowed with disabled clients.

internal

bool

Optional. Present only if the couterparty is a subaccount. True if the subaccount is internal.

Last updated